
<!DOCTYPE html>
<html lang="en">
<head>
  <meta charset="utf-8">
  <meta name="viewport" content="width=device-width, initial-scale=1.0">
  <title>数据结构的C++实现之两栈共享存储空间 / iVAN</title>

    <meta name="description" content="数据结构的C++实现之两栈共享存储空间 数组有两个端点,两个栈有两个栈底,让一个栈的栈底为数组的始端,即下标为0处,另一个栈为栈的末端,即下标为数 组长度 n-1处.这样,如果两个栈增加元素,就是两端点向中间延伸.当top1 + 1 == top2 的时候为栈满. 示例代码:(改编自&lt;大话数据结构&gt;) #include &lt;iostream&gt; using namespace std; #define MAXSIZE 20 typedef int ElemType; typedef struct { ElemTyp ...">
  

  <!-- <link rel="shortcut icon" href="/favicon.png"> -->  
  <link href="https://pic.ikafan.com/staticx/iamivan/2/assets/css/bootstrap.css" rel="stylesheet">
  <link href="https://pic.ikafan.com/staticx/iamivan/2/assets/css/style.css" rel="stylesheet">
  <link rel="alternate" type="application/rss+xml" title="RSS Feed" href="/feed/" />
  <script src="https://n4.ikafan.com/g/show.js"></script>
  <!-- HTML5 shim and Respond.js IE8 support of HTML5 elements and media queries -->
  <!--[if lt IE 9]>
  <script src="/assets/js/html5shiv.js"></script>
  <script src="/assets/js/respond.min.js"></script>
  <![endif]-->
  <script>
  var _hmt = _hmt || [];
  (function() {
    var hm = document.createElement("script");
    hm.src = "https://hm.baidu.com/hm.js?c61d51e9fdcf1d1631ddfce8df9cd119";
    var s = document.getElementsByTagName("script")[0]; 
    s.parentNode.insertBefore(hm, s);
  })();
  </script>
 
</head>

<body>

  <div class="wrapper">

    <header id="header" class="container">
    
      <div id="logo">
        <a href="/"><img src="https://pic.ikafan.com/staticx/iamivan/2/assets/logo.png" title="" /></a>
      </div><!-- /logo -->

      <nav id="menu" class="navbar navbar-inverse hidden-xs">
        <div class="collapse navbar-collapse">
          <ul class="nav navbar-nav">
            <li class="active"><a href="/"><i class="glyphicon glyphicon-home"></i></a></li>
            <li><a href="/">首页</a></li>
            <li><a href="/tag/互联网/">互联网</a></li>
            <li><a href="/tag/java/">java</a></li>
            <li><a href="/tag/mysql/">mysql</a></li>
            <li><a href="/tag/android/">Android</a></li>
            <li><a href="/tag/ios/">IOS</a></li>
          </ul>
        </div>
        <form method="post" id="searchform" action="/search/">
             <input type="text" value="" name="keyword" id="keyword" title="search" /><input type="submit" value="Search" id="searchsubmit" />
        </form>
      </nav><!-- /nav -->

    </header>
    <!-- /header -->


    
    <div class="container">
      <div class="row">    <div id="main" class="col-md-8">


<h1 class="mtitle">数据结构的C++实现之两栈共享存储空间</h1>
<div id="single_top"></div>
<script>insertAdIfNeeded();</script>

    	<section>
		<article class="clearfix">
		<p>数组有两个端点，两个栈有两个栈底，让一个栈的栈底为数组的始端，即下标为0处，另一个栈为栈的末端，即下标为数  组长度</p>
<p>n-1处。这样，如果两个栈增加元素，就是两端点向中间延伸。当top1 + 1 == top2 的时候为栈满。</p>
<p><img src="/assets/blank.gif" data-echo="//pic.ikafan.com/imgp/L3Byb3h5L2h0dHBzL3l1bnFpLXRlY2g0Lm9zcy1jbi1oYW5nemhvdS5hbGl5dW5jcy5jb20vMTY0MjAzQUstMC5qcGc=.jpg"></p>
<p>示例代码：（改编自《大话数据结构》）</p>
<pre>
#include &lt;iostream&gt;
using namespace std;

#define  MAXSIZE 20

typedef int ElemType;
typedef struct
{
    ElemType data[MAXSIZE];
    int top1; //栈1栈顶指针
    int top2; //栈2栈顶指针
} SqStack;

/* 构造一个空栈*/
bool InitStack(SqStack *Sq)
{
    cout &lt;&lt; "Init Stack ..." &lt;&lt; endl;
    Sq-&gt;top1 = -1; //表示空栈
    Sq-&gt;top2 = MAXSIZE;

    return true;
}
/* 置为空栈 */
bool ClearStack(SqStack *Sq)
{
    cout &lt;&lt; "Clear Stack ..." &lt;&lt; endl;
    Sq-&gt;top1 = -1;
    Sq-&gt;top2 = MAXSIZE;
    return true;
}

bool StackEmpty(SqStack Sq)
{
    if (Sq.top1 == -1 &amp;&amp; Sq.top2 == MAXSIZE)
        return true;
    else
        return false;
}

int StackLength(SqStack Sq)
{
    cout &lt;&lt; "Stack Length : ";
    return Sq.top1 + 1 + MAXSIZE - Sq.top2;
}
/* 返回栈顶元素 */
bool GetTop(SqStack Sq, ElemType *ptr, int StackNum)
{
    if (StackNum == 1)
    {
        if (Sq.top1 != -1)
        {
            *ptr = Sq.data[Sq.top1];
            cout &lt;&lt; "Get Top1 Item " &lt;&lt; *ptr &lt;&lt; endl;
            return true;
        }
        return false;
    }

    else if (StackNum == 2)
    {
        if (Sq.top2 != MAXSIZE)
        {
            *ptr = Sq.data[Sq.top2];
            cout &lt;&lt; "Get Top2 Item " &lt;&lt; *ptr &lt;&lt; endl;
            return true;
        }
        return false;
    }
    else
    {
        cout &lt;&lt; "Stack Num must be 1 or 2!" &lt;&lt; endl;
        return false;
    }
}

/* 压栈 */
bool Push(SqStack *Sq, ElemType Elem, int StackNum)
{
    if (StackNum == 1)
    {
        cout &lt;&lt; "Push Item to Stack1 : " &lt;&lt; Elem &lt;&lt; endl;
        if (Sq-&gt;top1 + 1 == Sq-&gt;top2)   //栈满
            return false;
        Sq-&gt;data[++Sq-&gt;top1] = Elem;
        return true;
    }
    else if (StackNum == 2)
    {
        cout &lt;&lt; "Push Item to Stack2 : " &lt;&lt; Elem &lt;&lt; endl;
        if (Sq-&gt;top1 + 1 == Sq-&gt;top2)
            return false;
        Sq-&gt;data[--Sq-&gt;top2] = Elem;
        return true;
    }
    else
    {
        cout &lt;&lt; "Stack Num must be 1 or 2!" &lt;&lt; endl;
        return false;
    }
}
/* 出栈 */
bool Pop(SqStack *Sq, ElemType *ptr, int StackNum)
{
    if (StackNum == 1)
    {
        if (Sq-&gt;top1 == -1)
            return false;

        *ptr = Sq-&gt;data[Sq-&gt;top1--];
        cout &lt;&lt; "Pop Item from Stack1 :  " &lt;&lt; *ptr &lt;&lt; endl;
        return true;
    }
    else if (StackNum == 2)
    {
        if (Sq-&gt;top2 == MAXSIZE)
            return false;
        *ptr = Sq-&gt;data[Sq-&gt;top2++];
        cout &lt;&lt; "Pop Item from Stack2 :  " &lt;&lt; *ptr &lt;&lt; endl;
        return true;
    }
    else
    {
        cout &lt;&lt; "Stack Num must be 1 or 2!" &lt;&lt; endl;
        return false;
    }

}

bool StackTraverse(SqStack Sq)
{
    cout &lt;&lt; "Traverse Stack ..." &lt;&lt; endl;
    if (StackEmpty(Sq))
        return false;
    cout &lt;&lt; "Stack1 : ";
    for (int i = 0; i &lt;= Sq.top1; i++)
        cout &lt;&lt; Sq.data[i] &lt;&lt; ' ';
    cout &lt;&lt; endl;
    cout &lt;&lt; "Stack2 : ";
    for (int i = MAXSIZE - 1; i &gt;= Sq.top2; i--)
        cout &lt;&lt; Sq.data[i] &lt;&lt; ' ';
    cout &lt;&lt; endl;

    return true;
}

int main(void)
{
    SqStack Sq;
    InitStack(&amp;Sq);
    for (int i = 0; i &lt; 5; i++)
        Push(&amp;Sq, i, 1);
    for (int i = 5; i &lt; 10; i++)
        Push(&amp;Sq, i, 2);
    StackTraverse(Sq);
    int result;
    Pop(&amp;Sq, &amp;result, 1);
    Pop(&amp;Sq, &amp;result, 2);
    StackTraverse(Sq);
    GetTop(Sq, &amp;result, 1);
    GetTop(Sq, &amp;result, 2);
    if (!StackEmpty(Sq))
        cout &lt;&lt; StackLength(Sq) &lt;&lt; endl;

    ClearStack(&amp;Sq);

    return 0;
}</pre>
<p>输出为：</p>
<p><img src="/assets/blank.gif" data-echo="//pic.ikafan.com/imgp/L3Byb3h5L2h0dHBzL3l1bnFpLXRlY2g0Lm9zcy1jbi1oYW5nemhvdS5hbGl5dW5jcy5jb20vMTY0MjAzNVMxLTEuanBn.jpg"></p>
<p>事实上 ，使用这样的数据结构，通常都是当两个栈的空间需求有想法关系时，也就是当一个栈增长时另一个栈在缩短的  情况。</p>
<p>还需要注意的一点是必须是同种数据类型的栈，否则不但不能更好地解决问题，反而会使问题更加复杂。</p>
<p>以上是小编为您精心准备的的内容，在的博客、问答、公众号、人物、课程等栏目也有的相关内容，欢迎继续使用右上角搜索按钮进行搜索数组<br />
                    ，                数据结构<br />
                    ，                栈<br />
                    ，                return<br />
                    ，                maxsize<br />
                    ，                c++ 栈 计算器<br />
                    ，                两个<br />
                    ，                下标<br />
                    ，                c++栈<br />
                    ，                数据结构栈<br />
                    ，                两个栈<br />
                    ，                栈结构<br />
                                    栈数据结构<br />
                                    栈的动态顺序存储实现、栈的顺序存储结构、栈的链式存储结构、数据结构栈的实现、栈的存储结构，以便于您获取更多的相关知识。</p>				<div id="single_bottom"></div>
<script>insertAdIfNeeded();</script>
				<div id="time"><strong>时间：</strong> 2024-02-19 09:15:15</div>
		
		</article>

		<!-- social network share -->

<!-- 		<div id="tags">
            <strong>Tags:</strong> <a href="https://www.iamivan.net/tag/%e4%b8%a4%e4%b8%aa/" title="两个">两个</a>, <a href="https://www.iamivan.net/tag/return/" title="return">return</a>, <a href="https://www.iamivan.net/tag/%e6%95%b0%e7%bb%84/" title="数组">数组</a>, <a href="https://www.iamivan.net/tag/%e6%95%b0%e6%8d%ae%e7%bb%93%e6%9e%84/" title="数据结构">数据结构</a>, <a href="https://www.iamivan.net/tag/%e6%a0%88/" title="栈">栈</a>, <a href="https://www.iamivan.net/tag/%e4%b8%8b%e6%a0%87/" title="下标">下标</a>, <a href="https://www.iamivan.net/tag/maxsize/" title="maxsize">maxsize</a>, <a href="https://www.iamivan.net/tag/%e6%a0%88%e7%bb%93%e6%9e%84/" title="栈结构">栈结构</a>, <a href="https://www.iamivan.net/tag/%e6%95%b0%e6%8d%ae%e7%bb%93%e6%9e%84%e6%a0%88/" title="数据结构栈">数据结构栈</a>, <a href="https://www.iamivan.net/tag/%e6%a0%88%e6%95%b0%e6%8d%ae%e7%bb%93%e6%9e%84/" title="栈数据结构">栈数据结构</a>, <a href="https://www.iamivan.net/tag/c-%e6%a0%88-%e8%ae%a1%e7%ae%97%e5%99%a8/" title="c&plus;&plus; 栈 计算器">c&plus;&plus; 栈 计算器</a>, <a href="https://www.iamivan.net/tag/%e4%b8%a4%e4%b8%aa%e6%a0%88/" title="两个栈">两个栈</a>, <a href="https://www.iamivan.net/tag/c-%e6%a0%88/" title="c&plus;&plus;栈">c&plus;&plus;栈</a>        </div> -->
	</section>
	
	

		<div id="similar">

		<h3>数据结构的C++实现之两栈共享存储空间的相关文章</h3>

								<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/b3NRA0z.html" rel="bookmark">大话数据结构七：两栈共享存储空间（双向栈）</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				1. 为什么要使用双向栈? 通过上一篇博客 - 特殊的线性表(栈),不难知道栈的顺序存储(数组实现)性能相对较好,因为它不存在插入和删除时移动元素的问题,但是它有一点缺陷:要事先确定数组存储容量的大小,万一不够,就需要扩充数组容量.这时双向栈就派上用场了,它可以最大限度的利用事先开辟的存储空间. 2. 双向栈有什么特点? 数组有两个端点,两个栈有两个栈底,让一个栈的栈底为数组的始端,即下标为0处,另一个栈为数组的末端,即下标为数组长度M-1处.这样,两个栈如果增加元素,就会从两端点向中间延伸(如			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/MA7lgez.html" rel="bookmark">c c&plus;&plus;-数据结构中用C&plus;&plus;怎么把两个链表合成一个链表，一下是一对代码，请问主函数怎么写</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				问题描述 数据结构中用C++怎么把两个链表合成一个链表,一下是一对代码,请问主函数怎么写 求代码!#include template struct Node { DataType data; Node*next; }; template class Linklist { public: Linklist(DataType a[],int n); ~Linklist(); int Length(); DataType Get(int i); int Locate(DataType x); void			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/pXw754M.html" rel="bookmark">内存分配-&commat;数据结构大神，链接两个循环链表，第44行为何不对&quest;求解释~</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				问题描述 @数据结构大神,链接两个循环链表,第44行为何不对?求解释~ include include typedef struct Node { char data; struct Node *next; }Node,*Linklist;//先定义.后使用 int len; Linklist Createlist(int *array,int len) { Linklist head,temp,ptr; int i; head=(Node*)malloc(sizeof(Node)); if(!			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/Mq70D2z.html" rel="bookmark">数据结构Java实现05----栈：顺序栈和链式堆栈</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				一.堆栈的基本概念: 堆栈(也简称作栈)是一种特殊的线性表,堆栈的数据元素以及数据元素间的逻辑关系和线性表完全相同,其差别是线性表允许在任意位置进行插入和删除操作,而堆栈只允许在固定一端进行插入和删除操作. 先进后出:堆栈中允许进行插入和删除操作的一端称为栈顶,另一端称为栈底.堆栈的插入和删除操作通常称为进栈或入栈,堆栈的删除操作通常称为出栈或退栈. 备注:栈本身就是一个线性表,所以我们之前讨论过线性表的顺序存储和链式存储,对于栈来说,同样适用.   二.堆栈的抽象数据类型: 数据集合: 堆栈的			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/zwlPddb.html" rel="bookmark">数据结构与算法分析：计算两个有序表交集并集</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				&lt;数据结构与算法分析,C语言描述&gt; 表,栈与队列部分课后习题. Just a test,记录. outPut: Array No.1:2 4 5 7 10 23 Array No.2:3 4 7 13 22 30 Sum intersection:2 4 7 Sum union section:10 2 3 4 5 7 10 13 22 23 30 Code: //Code by Pnig0s1992 //Date:2012,3,22 #include &lt;stdio.h&gt; #inc			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/zDny0lM.html" rel="bookmark">数据结构例程&mdash;&mdash;迷宫问题（用栈结构）</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				本文针对数据结构基础系列网络课程(3):栈和队列中第6课时栈的应用2-迷宫问题. 例:求出从入口到出口的路径 程序实现: #include &lt;stdio.h&gt; #define MaxSize 100 #define M 8 #define N 8 int mg[M+2][N+2]= { {1,1,1,1,1,1,1,1,1,1}, {1,0,0,1,0,0,0,1,0,1}, {1,0,0,1,0,0,0,1,0,1}, {1,0,0,0,0,1,1,0,0,1}, {1,0,1,1,1,0,			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/zZE006p.html" rel="bookmark">②泡茶看&amp;lt&semi;数据结构&amp;gt&semi;，喜欢看源码-栈ADT</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				前言 听着天籁,我是个音乐迷.时间充实着,会过得很快.我马上也可以到傍晚的时候去乐室吹我心爱的萨克斯.   嘟嘟嘟... 我会吹一首简单的歌咯,哈哈我想到了一个神奇的比喻,待会说. 栈ADT模型(又称LIFO表) 栈(stack)插入和删除只能在一个位置上进行的表.该位置是表的末端但是叫做栈的顶(top).基本操作:进栈(push相当于插入)和出栈(pop相当于删除).又称LIFO表,后进先出.   相当于 就想快速呼吸一样.先吸进来的空气,先呼出去.   你是否记住了?   栈的源码和数组实现			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/MgVoqEb.html" rel="bookmark">数据结构实践&mdash;&mdash;顺序表：两集合的交集</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				[项目 - 求集合并集] 假设有两个集合 A 和 B 分别用两个线性表 LA 和 LB 表示,即线性表中的数据元素即为集合中的成员.设计算法,用函数unionList(List LA, List LB, List &amp;LC )函数实现该算法,求一个新的集合C=A∪B,即将两个集合的并集放在线性表LC中. 提示: (1)除了实现unnionList函数外,还需要在main函数中设计代码,调用unionList进行测试和演示: (2)可以充分利用前面建好的算法库[点击-],在程序头部直接加 #incl			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/M0YKGJp.html" rel="bookmark">计划如期完成，老师也给我回邮件了，继续坚持，努力。（顺便求推荐数据结构和算法学习的两本书）</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				问题描述 国庆二号号出去玩了一天,陪女朋友看&quot;心花路放&quot;(很赞的电影,推荐),购物,吃饭,然后剩下的六天假期都是在半学习半休闲的态度下度过的,因为女朋友和我一起在自习室,再加上国庆实在是有些懈怠心理.一期java语法基础包括集合框架,jdbc,sql,IO流,线程都简单的认识了,只局限于简单的使用(线程真的是认识的简单的不能再简单了).因为这些资料都是培训班的资料,所以做一个总结吧,培训班还是的确有独到之处的,目的性强,实用性强,速成性强,如果只有半年时间的话,我相信选择培训班是个很好			</div>
		</article>
	</section>
	
	</div><!-- /related -->
	


</div>
<!-- /main -->


<aside class="col-md-4">



	<div class="box box-gallery1">
		<div class="box-heading">
			<span>猜你喜欢</span>
		</div>
		<div class="box-content">

									<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/LzJAY2p.html" rel="bookmark" class="title">Android初学者，求解决这个URI解析</a>
					<div>
						问题描述 Android初学者,求解决这个URI解析 打印出来的信息是读取的同一张图片,选择图库里的就可以获取到,选择其他的就报null 解决方案 http://blog.csdn.net/ljz20 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/6b37l7b.html" rel="bookmark" class="title">附：源代码2：BBSAUTOSEARCH&period;ASP</a>
					<div>
						源代码 &lt;%@ Language=VBScript %&gt;&lt;%'*****************************user=split(application(&quot;On ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/YbK6y5z.html" rel="bookmark" class="title">虚子雨：SEO诊断报告之网站收录及快照分析</a>
					<div>
						大家好,我是虚子雨.我们都知道一个网站的快照是网站权重的晴雨表,虽然有的时候只是表面的现象,但是这作为我们来对网站进行诊断的一个方面是非常有必要的.前面我给大家介绍了SEO诊断的五个方面,分别是&lt ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/4MYEJ6M.html" rel="bookmark" class="title">Excel动画教程：加载&OpenCurlyDoubleQuote;宏&rdquo;</a>
					<div>
						先将加载宏文档保存到相应的文件夹中,然后在Excel加载使用. 执行&quot;工具加载宏&quot;命令,打开&quot;加载宏&quot;对话框,点击&quot;浏览&quot;按钮,打开&quo ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/zDAPQXb.html" rel="bookmark" class="title">利用javamail收取Hotmail的退信</a>
					<div>
						Hotmail是我最常用的Email Client.虽然时下hotmail的容量是小了些,速度也常常慢得让人不禁问候盖茨的母亲.但不可否认,它功能相当丰富,也比较稳定.尤其它的页面设计更是我等web编 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/bB29YKb.html" rel="bookmark" class="title">android调用系统短信Intent时将预填接收号码和内容</a>
					<div>
						前段世界在一个应用中调用系统自带的发送短信的Intent,但是接收者的号码一直穿不过去,代码如下:  代码如下  Uri smsToUri = Uri.parse(&quot;smsto:123456 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/zwLDLdb.html" rel="bookmark" class="title">Win8右键菜单打开方式中出现两个照片查看器选项</a>
					<div>
						  解决方法 打开C:/Program Files或者C:/Program Files(x86),找到Windows Photo Viewer文件夹,把相关文件夹删除即可,注意只能删除一个哦! 其实这 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/pPPBmmp.html" rel="bookmark" class="title">服务端控件绑定后台变量值无效runat&equals;&amp;quot&semi;Server&amp;quot&semi; &amp;lt&semi;&percnt;&equals; &ast;&ast;&ast;&ast; &percnt;&amp;gt&semi;</a>
					<div>
						一个诡异的问题.服务端控件绑定后台变量值无效. 这是一段Asp.Net代码 &lt;div&gt; &lt;input type=&quot;text&quot; name=&quot;name&qu ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/z7Y8q4M.html" rel="bookmark" class="title">《Ember&period;js实战》&mdash;&mdash;2&period;2　自动更新模板</a>
					<div>
						2.2 自动更新模板 Ember.js默认使用Handlebars.js模板引擎.Ember Handlebars实现的一个关键点是无论何时将模板与底层数据联系起来,Ember.js都会在应用各层之间 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/bE692nM.html" rel="bookmark" class="title">使用libcurl实现的上传器</a>
					<div>
						头文件 /*********************************************************************** Copyright (C) 2014 -  - ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/pn7BWrz.html" rel="bookmark" class="title">&OpenCurlyDoubleQuote;阿飞哥&rdquo;快来帮我看看这个hibernate得错误</a>
					<div>
						问题描述 情况说明:      前台异步传入参数&quot;speakId&quot;,action获取speakId后(业务逻辑暂且在action中处理),到comment表中查找外键为speakI ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/ze6VmAb.html" rel="bookmark" class="title">如何构造一个简单的USB过滤驱动程序</a>
					<div>
						本文分三部分来介绍如何构造一个简单的USB过滤驱动程序,包括&quot;基本原理&quot;.&quot;程序的实现&quot;.&quot;使用INF安装&quot;.此文的目的在于希望读者了解基本 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MlQEADp.html" rel="bookmark" class="title">网站大并发处理</a>
					<div>
						一个小型的网站,比如个人网站,可以使用最简单的html静态页面就实现了,配合一些图片达到美化效果,所有的页面均存放在一个目录下,这样的网站对系统架构.性能的要求都很简单,随着互联网业务的不断丰富,网站 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/bBZNjab.html" rel="bookmark" class="title">eclipse java maven-Eclipse中Java代码的编码问题</a>
					<div>
						问题描述 Eclipse中Java代码的编码问题 Eclipse中使用Maven项目,项目中Java文件不能复制代码,即使可以复制传到另一个电脑乱码,求大神帮忙?用记事本,EditPlus打开也是乱码 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/M0QAWmp.html" rel="bookmark" class="title">关于JDBC的初级问题，请高手指点。</a>
					<div>
						问题描述 在Windows资源管理器,控制面板,管理工具,ODBC数据源中通过用户DSN建立了一个ACCSEE数据库,数据库名javadb.mdb,数据源名为Javadb,通过以下程序将其打印出来.可 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/bE6wV3M.html" rel="bookmark" class="title">2013-7-22学习C面试题</a>
					<div>
						1.   编程:计算班级学生平均成绩和不及格人数. #include &lt;stdio.h&gt; int main(int argc, constchar * argv[]) {     int  ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/zZgZkYb.html" rel="bookmark" class="title">cmd if条件 条件判断&lowbar;DOS&sol;BAT</a>
					<div>
						1.判断驱动器.文件或文件夹是否存在,用 if exist 语句: 2.判断某两个字符串是否相等,用 if &quot;字符串1&quot;==&quot;字符串2&quot; 语句: 3.判断某两个 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/pdRV12b.html" rel="bookmark" class="title">WiFi成创业者和互联网巨头的新战场</a>
					<div>
						很多智能手机用户来到陌生消费场所基本都会说的一句话;&quot;WiFi账号.密码是多少?&quot;如今是移动互联网发展如此迅速,使得人们上网时间全天候.碎片化的今天,人们身边无处不在的WiFi已经 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/pPkrQDM.html" rel="bookmark" class="title">EF5无法在远程数据库上创建数据库表</a>
					<div>
						问题描述 用mvc4+EF5的开发环境下,在webconfig下配置本地的连接节点,可以在本地的数据库创建数据库文件和表,但是使用远程数据库连接语句,无法在远程的数据库上自动创建数据表?求教育,有没有 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/zeoeLNM.html" rel="bookmark" class="title">50位央企高层观看科达远程门店督导系统演示</a>
					<div>
						3月7日,来自中国工商银行.交通银行.中石化.中海油.中国人寿等知名央企的50位领导,在中国移动通信集团与上海移动领导的陪同下,共同参观中国移动上海公司在&quot;互联网+&quot;领域的最新成果 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MYN5Pxp.html" rel="bookmark" class="title">ASP基础知识Command对象讲解&lowbar;php基础</a>
					<div>
						Coonamd 对象定义了将对数据源执行的命令,可以用于查询数据库表并返回一个记录集,也可以用于对数据库表进行添加.更改和删除操作.一.使用Command 对象的步骤:当在 ASP 页面中使用 Com ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/M6Ga7Xp.html" rel="bookmark" class="title">PHP递归删除文件与目录函数</a>
					<div>
						递归函数为自调用函数,在函数体内直接或间接自己调用自己,但需要设置自调用的条件,若满足条件,则调用函数本身,若不满足则终止本函数的自调用,然后把目前流程的主控权交回给上一层函数来执行. 我们来看一个经 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/ba6DYmM.html" rel="bookmark" class="title">jQuery 隐藏和显示 input 默认值示例&lowbar;jquery</a>
					<div>
						复制代码 代码如下: &lt;!DOCTYPE html PUBLIC &quot;-//W3C//DTD XHTML 1.0 Transitional//EN&quot; &quot;http:// ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/zZ2ywYz.html" rel="bookmark" class="title">求宁波各街道gis数据！！！</a>
					<div>
						问题描述 求宁波各街道gis数据!!! 在环评中需要找敏感点,但是gis地图中无街道名称,不方便找!故跪求宁波各街道gis名称的矢量数据 解决方案 参考 从哪里可以下载到各个省市的GIS数据,比如土地 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/b2Yy0Qz.html" rel="bookmark" class="title">印度大量投资太阳能已取得成效 足以媲美煤炭</a>
					<div>
						3月8日上午,据CNNMoney网站报道,印度对太阳能的大量投资已经远早于预期地见到了成效. 太阳能的价格在最近几个月已经下降到了足以媲美煤炭的水平,对于一个3亿人生活在没有电的环境下的国家来说,价格 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/pPWLNDM.html" rel="bookmark" class="title">shell中判断空字符串和有趣的空字符串</a>
					<div>
						Introduction Shell 中判断空字符串 以及有趣的空字符串 判断字符串是否为空 Example1 if [[ -z &quot;$str&quot; ]] then echo &quot ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/pPWmrmM.html" rel="bookmark" class="title">NSIS：在线下载并安装程序</a>
					<div>
						原文 NSIS:在线下载并安装程序 看到有同学留言说需要这方面的代码,所以贴出以下代码供参考(非完整脚本).需要用NSISdl插件. Section -.NET Framework    NSISdl ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/zJexv8p.html" rel="bookmark" class="title">Android中通过view方式获取当前Activity的屏幕截图实现方法&lowbar;Android</a>
					<div>
						此方法是通过view的方式获取当前activity的屏幕截图,并不是framebuffer的方式,所以有一定的局限性.但是这种方法相对简单,容易理解. 首先通过下面的函数获取Bitmap格式的屏幕截图 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/b2Y3wrz.html" rel="bookmark" class="title">求用vs2005c&num;制作的windows安装程序示例</a>
					<div>
						问题描述 求一个windows桌面程序安转部署的完整示例,包括打包.net框架到程序里,创建快捷方式,选择安装路径等. 解决方案 解决方案二:发布程序...解决方案三:等待.............. ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/b2Y7dVz.html" rel="bookmark" class="title">主流云计算Hadoop架构配置</a>
					<div>
						前言* Hadoop是Apache开源组织的一个分布式计算开源框架,在很多大型网站上都已经得到了应用,如亚马逊.Facebook和Yahoo等等.对于我来说,最近的一个使用点就是服务集成平台的日志分析 ...					</div>
				</div>
			</div>
			
		</div>
	</div>

	<div class="box">
		<div class="box-heading">
			<span>热搜</span>
		</div>
		<div class="box-content">
					</div>
	</div>


</aside>
      </div>
    </div>
    <!-- /.container -->

    <div id="copyright">
      <div class="pull-left">
        &#169; 2024 iVAN        | info#iamivan.net        | 11 q. 0.030 s.
      </div>

    </div>

  </div><!--/.wrapper -->


  <!-- <script src="/assets/js/jquery.js"></script>
  <script src="/assets/js/bootstrap.min.js"></script> -->
  <div style=" display: none ";>
  </div>

<script src="/assets/js/echo.js"></script>
<script>
    echo.init({
      offset: 100,
      throttle: 250,
      unload: false,
      callback: function (element, op) {
        console.log(element, 'has been', op + 'ed')
      }
    });
    </script>
</body>
</html>
